## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# Stylesheet::MatchPattern2 Class Reference

A class to contain a match pattern and it's corresponding template. More...

`#include <Stylesheet.hpp>`

Collaboration diagram for Stylesheet::MatchPattern2:

[legend]
List of all members.

## Public Types

- typedef XPath::eMatchScore eMatchScore

## Public Methods

- MatchPattern2 (const ElemTemplate &theTemplate, size_type posInStylesheet, const XalanDOMString &targetString, const XPath &matchPattern, const XalanDOMString &pattern, eMatchScore priority)
    Construct a match pattern from a pattern and template. More...
- MatchPattern2 ()
- ~MatchPattern2 ()
- const XalanDOMString& getTargetString () const
    Retrieve string for target. More...
- const XPath* getExpression () const
    Retrieve the match pattern associated with pattern. More...
- size_type getPositionInStylesheet () const
    Retrieve position of pattern in stylesheet. More...
- const XalanDOMString* getPattern () const
    Retrieve pattern string. More...
- const ElemTemplate* getTemplate () const
    Retrieve node that contains the template for this pattern. More...
- eMatchScore getDefaultPriority () const
- double getPriorityOrDefault () const

## Detailed Description

A class to contain a match pattern and it's corresponding template.

This class also defines a node in a match pattern linked list.

## Member Typedef Documentation

typedef XPath::eMatchScore Stylesheet::MatchPattern2::eMatchScore

## Constructor & Destructor Documentation

Stylesheet::MatchPattern2::MatchPattern2 ( | const ElemTemplate & theTemplate,
| size_type posInStylesheet,
| const XalanDOMString & targetString,
| const XPath & matchPattern,
| const XalanDOMString & pattern,
| eMatchScore priority )

  | Construct a match pattern from a pattern and template. Parameters:
  theTemplate | node that contains the template for this pattern
  posInStylesheet | position in stylesheet
  targetString | target string
  matchPattern | the match pattern
  pattern | the pattern string
  priority | the default priority

Stylesheet::MatchPattern2::MatchPattern2 ( | )

Stylesheet::MatchPattern2::~MatchPattern2 ( | )

## Member Function Documentation

eMatchScore Stylesheet::MatchPattern2::getDefaultPriority ( | ) const

const XPath * Stylesheet::MatchPattern2::getExpression ( | ) const

| Retrieve the match pattern associated with pattern. Returns: XPath for pattern

const XalanDOMString * Stylesheet::MatchPattern2::getPattern ( | ) const

| Retrieve pattern string. Returns: string that contains element pattern

size_type Stylesheet::MatchPattern2::getPositionInStylesheet ( | ) const

| Retrieve position of pattern in stylesheet. Returns: position in stylesheet

double Stylesheet::MatchPattern2::getPriorityOrDefault ( | ) const

const XalanDOMString & Stylesheet::MatchPattern2::getTargetString ( | ) const

| Retrieve string for target. Returns: target string

const ElemTemplate * Stylesheet::MatchPattern2::getTemplate ( | ) const

| Retrieve node that contains the template for this pattern. Returns: template node

The documentation for this class was generated from the following file:

- Stylesheet.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.